package v1

import (
	"github.com/gin-gonic/gin"
	"lttc-go-adm-znaf/pkg/app"
	"lttc-go-adm-znaf/pkg/e"
	"net/http"
)

// @Summary Hello World
// @Description test
// @Success 200 {string} json "{ "code": 200, "data": {}, "msg": "ok" }"
// @Router /api/v1/index [get]
func Index(c *gin.Context) {
	appG := app.Gin{C: c}

	appG.Response(http.StatusOK, e.SUCCESS, "Hello World")
}
