-- =============================================
-- 名    称：获取明火作业位置信息存储过程
-- 作    者：何宏达
-- 日    期：2018年10月06日
-- 功能简介：获取明火作业位置信息
-- =============================================
CREATE PROCEDURE [dbo].[bw_GetFireWorkingLocationList]
AS
BEGIN
select
distinct 
  BillDate ,
  BillNO ,
  WorkLocation ,
  WorkUser ,
  WorkDetail ,
  MonitorUser ,
  MonitorStartTime ,
  MonitorEndTime ,
  iif((GPSValue is not null and GPSValue<>''),GPSValue,b.Longitude+','+b.Latitude) GPSValue ,
  GPSName ,
  State ,
  Note
from dbo.bw_FireWorking 
left join dbo.bw_sswzdjb b on b.Name=MonitorUser
where State='进行中'
order by MonitorUser,BillNO desc

END
go

grant execute on bw_GetFireWorkingLocationList to xjapp
go

