-- =============================================
-- 作者：邢港
-- 日期：2018/12/09
-- 说明：上报用户当前APP版本
-- =============================================
CREATE PROCEDURE bw_app_version_report 
	@UserName varchar(50),
	@AppVersion varchar(50)
AS
BEGIN
	select top 1 1 from bw_app_version where UserName=@UserName
  if @@ROWCOUNT=1
  begin
    update bw_app_version set AppVersion=@AppVersion,UpdateTime=getdate() where UserName=@UserName
  end
  else
  begin
    insert into bw_app_version (UserName, AppVersion, UpdateTime) values(@UserName,@AppVersion,getdate())
  end
END
go

grant execute on bw_app_version_report to xjapp
go

