-- =============================================
-- 名    称：扫码时调用存储过程
-- 作    者：高通
-- 日    期：2018年5月1日 
-- 功能简介：扫码时更新位置、时间等信息
-- =============================================
CREATE PROCEDURE [dbo].[bw_smcl] 
	-- Add the parameters for the stored procedure here
	 @mhqbm  varchar(30),@xcr  varchar(30),@xcjwd varchar(200),@xcwz varchar(200)
AS 
declare @ssbb varchar(30),@xczq int,@ssbc varchar(30),@pjsj time,@pjrq datetime,@xcbjsj datetime ,@pdsj time,@sbsj time,@xcsbsj datetime
declare @bm varchar(30),@wz varchar(30),@ssdb varchar(30),@zh nvarchar(50),@xcsj datetime,@smsj nvarchar(50),@mhqbm1 nvarchar(50)
BEGIN
	 --巡查时间
	if @xcsj='' or @xcsj is null
	
	set @xcsj=getdate()
	
	else

	set @xcsj=@xcsj

	
	--更新实时巡查信息表
	select @ssbb=ssbb,@xczq=xczq ,@smsj=smsj from bw_xcsbxxb where mhqbm=@mhqbm  --班别,巡查周期

	 
	select @ssbc=bc from bw_pb where rq=day(DATEADD(day,@xczq,@xcsj))  and bb=@ssbb  --班次
	
	if @ssbc='早'
	select @pjsj='15:00:00.000',@sbsj='7:00:00.000'
	
	if @ssbc='中'
	select @pjsj='23:00:00.000',@sbsj='15:00:00.000'
	
	if @ssbc='晚'
	select @pjsj='7:00:00.000',@sbsj='23:00:00.000'                --判断上班、下班时间
    
    select @pjrq =DATEADD(d,@xczq,@xcsj)                       --判断下班日期
    select @pjrq =CONVERT(varchar(12) ,@pjrq, 111 )

    
    select @xcbjsj=@pjrq+@pjsj  
    select @xcsbsj=@pjrq+@sbsj                                     --时间日期拼接
    
    select @pdsj=CONVERT(time,@xcsj)
    if 	@pdsj>'23:00:00.000' or @pdsj<'7:00:00.000'
    select @xcbjsj =DATEADD(d,1,@xcbjsj)	                       --判断时间在23点之后，日期多加1


	
	if  @pdsj>'7:00:00.000' and '15:00:00.000'>@pdsj and @ssbc='晚'
	select @xcbjsj =DATEADD(d,1,@xcbjsj)                           --判断早班换夜班时，日期多加1

	select @zh=zh from bw_xcsbxxb where @mhqbm=mhqbm 
	
	update bw_ssxcxxb set xcsj=@xcsj,xcbc=@ssbc,xcsbsj=@xcsbsj,xcbjsj=@xcbjsj,xcr=@xcr,xcjwd=@xcjwd,xcwz=@xcwz,smsj=@smsj where mhqbm in (select mhqbm from bw_xcsbxxb where zh=@zh)
	
	
	
	--插入巡查历史信息表
	select @bm=bm,@wz=wz,@ssdb=ssdb from bw_xcsbxxb where mhqbm=@mhqbm
	select @mhqbm1=mhqbm from bw_xcsbxxb where zh=@zh and mhqbm <>@mhqbm ------扫码一个组的其中一个灭火器时，把该组的另一个灭火器也视作已扫码，并存入巡查历史时间表
	insert into bw_xclssjb values (@mhqbm,@bm,@wz,@ssdb,@ssbb,@xcsj,@xcr,@xcjwd,@xcwz,@smsj)
	if(@mhqbm1 is not null)
	begin 
	insert into bw_xclssjb values (@mhqbm1,@bm,@wz,@ssdb,@ssbb,@xcsj,@xcr,@xcjwd,@xcwz,@smsj)
	end
END
go

grant execute on bw_smcl to xjapp
go

