-- =============================================
-- 名    称：3日未巡查灭火器查询
-- 作    者：高通
-- 日    期：2018年8月2日 
-- 功能简介：查询出3天内未巡查过的灭火器信息
-- =============================================
CREATE PROCEDURE [dbo].[bw_three_days_inspection]  
	@dqsj datetime 
AS
BEGIN
	
	set @dqsj= dateadd(dd,-2,@dqsj)
	
	select bw_xcsbxxb.mhqbm,bw_xcsbxxb.ssdb,bw_xcsbxxb.ssbb,bw_xcsbxxb.bm,bw_xcsbxxb.wz,bw_ssxcxxb.xcsj from bw_xcsbxxb inner join bw_ssxcxxb on bw_xcsbxxb.mhqbm= bw_ssxcxxb.mhqbm where (bw_ssxcxxb.xcsj<@dqsj or bw_ssxcxxb.xcsj is null )and bw_xcsbxxb.mhqbm not like '%X%'

END
go

