-- =============================================
-- 名    称：获取轨迹位置信息存储过程
-- 作    者：何宏达
-- 日    期：2018年08月15日
-- 功能简介：根据人员姓名和起始终止时间获取一段时间内位置信息
-- =============================================
CREATE PROCEDURE [dbo].[bw_GetPathLocationList]
  @Name varchar(50)='%',
  @StartDatetime datetime,
  @EndDatetime datetime
AS
BEGIN
 select 
  Guid,
  Name,
  UpdateTime,
  Longitude,
  Latitude 
from dbo.bw_test 
where Name=@Name and UpdateTime between @StartDatetime and @EndDatetime
order by UpdateTime
END
go

grant execute on bw_GetPathLocationList to xjapp
go

