-- =============================================
-- 名    称：查找特定人员位置信息存储过程
-- 作    者：何宏达
-- 日    期：2018年010月06日
-- 功能简介：获取位置信息
-- =============================================
CREATE PROCEDURE [dbo].[bw_SearchLocation]
  @name varchar(50)='%',
  @StartDatetime datetime,
  @EndDatetime datetime
AS
begin
set @name=iif(isnull(@name,'')='','%','%'+@name+'%')

select 
  Guid,
  Name,
  convert(varchar(100),UpdateTime,114) UpdateTime,
  Longitude,
  Latitude,
  (select count(BillNO) from dbo.bw_FireWorking where State='进行中' and MonitorUser=Name ) as FireWorking 
from bw_sswzdjb 
where UpdateTime between @StartDatetime and @EndDatetime and Name like @name 
order by UpdateTime desc
END
go

grant execute on bw_SearchLocation to xjapp
go

