-- =============================================
-- Author:		<蒋波涛>
-- Create date: <2020-06-01>
-- Description:	<统计各队未扫码信息>
-- =============================================
/****** Script for SelectTopNRows command from SSMS  ******/
CREATE PROCEDURE [dbo].[pro_bw1] 
@date1 varchar(50)
AS
BEGIN
    delete [dbo].[bw_xcsjhz1]
	DECLARE @xcbb nvarchar(50),@zs nvarchar(50)
	select @xcbb=bb from [dbo].[bw_xcbb] where date=@date1

    declare @ssdb varchar(30)
	declare cursor_xcsbxxb_insert insensitive cursor for select distinct ssdb,count(1)as zs FROM [bw].[dbo].[bw_xcsbxxb] where smsj=@xcbb group by ssdb
	open cursor_xcsbxxb_insert
	fetch next from cursor_xcsbxxb_insert into @ssdb,@zs

    while @@fetch_status=0
		begin

		insert into[dbo].[bw_xcsjhz1](date,db,smzs) values (@date1,@ssdb,@zs) 

		fetch next from cursor_xcsbxxb_insert into  @ssdb,@zs
		end
		close cursor_xcsbxxb_insert
		deallocate cursor_xcsbxxb_insert


 --昨天扫码信息
  declare @ztdb varchar(30),@ys varchar(30)
 declare cursor_zt_update insensitive cursor for
 select ssdb ,count(*)as ys from [dbo].[bw_xclssjb] where mhqbm in
 (select mhqbm from[dbo].[bw_xcsbxxb] where ssbb<>'运转班')and xcsj>@date1+' 00:00:00' and smsj = @xcbb group by ssdb
 	open cursor_zt_update
	fetch next from cursor_zt_update into @ztdb,@ys
	   while @@fetch_status=0
		begin

		update [dbo].[bw_xcsjhz1] set ysms=isnull(@ys,0) where date=@date1 and db=@ztdb 

		fetch next from cursor_zt_update into @ztdb,@ys
		end
		close cursor_zt_update
		deallocate cursor_zt_update

--未扫码信息
  declare @m varchar(30),@n varchar(30),@date varchar(50),@ssdb1 varchar(50)
 declare cursor_update insensitive cursor for SELECT  smzs,ysms,date,db FROM [bw].[dbo].[bw_xcsjhz1] 
 	open cursor_update
	fetch next from cursor_update into @m,@n,@date,@ssdb1
	   while @@fetch_status=0
		begin

		update [dbo].[bw_xcsjhz1] set wsms= cast(@m as int)-cast(@n  as int)  where date=@date and db=@ssdb1 

		fetch next from cursor_update into @m,@n,@date,@ssdb1
		end
		close cursor_update
		deallocate cursor_update

    --负数归零
   	   update [dbo].[bw_xcsjhz1] set wsms=0 where wsms < 0


--无数据队别信息
  declare @mtbm varchar(30),@mtssbb varchar(30),@mtys varchar(30)
  declare cursor_mt_update insensitive cursor for select ssdb from [dbo].[db_dygx] where ssdb not in (select db from [bw].[dbo].[bw_xcsjhz1])
 	open cursor_mt_update
	fetch next from cursor_mt_update into @mtssbb
	   while @@fetch_status=0
		begin

		insert into[dbo].[bw_xcsjhz1](date,db) values (@date1,@mtssbb) 
		--update [dbo].[bw_xcsjhz1] set dygx=(select dygx from [dbo].[db_dygx] where ssdb=@ssdb) where db=@ssdb

		fetch next from cursor_mt_update into @mtssbb
		end
		close cursor_mt_update
		deallocate cursor_mt_update

		update [dbo].[bw_xcsjhz1] set wsms=0 where ysms is null

END

go

