-- =============================================
-- Author:		高通
-- Create date: 2018-07-27
-- Description:	根据[dbo].[bw_sswzdjb]数据更新记录数据
-- =============================================
CREATE TRIGGER [dbo].[bw_sswzdjb_insert]
   ON  [dbo].[bw_sswzdjb]
   AFTER update
AS 
if update(UpdateTime)
BEGIN
	declare @Guid varchar(50),@Name nvarchar(30),@UpdateTime datetime,@Longitude varchar(50),@Latitude varchar(50)
	declare cursor_sswzdjb_insert cursor for 
  select [Guid],Name,UpdateTime,Longitude,Latitude from Inserted where isnull(Source,'')='服务定位' --只接受“服务定位”加入轨迹，因巡查扫描定位暂未控制精度，还有些来自OA定位无法控制精度
	open cursor_sswzdjb_insert
	fetch next from cursor_sswzdjb_insert into @Guid,@Name,@UpdateTime,@Longitude,@Latitude
	while @@fetch_status=0
	begin

    --XG20181209 bw_sswzdjb表中数据来自两部分，1、灭火器巡查扫描；2、移动定位服务，因客户端巡查定位暂时没有判断定位精度，所以暂时不将这些数据插入轨迹表
	  insert into [dbo].[bw_test]([Guid],Name,UpdateTime,Longitude,Latitude) values (@Guid,@Name,@UpdateTime,@Longitude,@Latitude)
	    
	  fetch next from cursor_sswzdjb_insert into @Guid,@Name,@UpdateTime,@Longitude,@Latitude
	end
  close cursor_sswzdjb_insert
	deallocate cursor_sswzdjb_insert
END
go

